Name:		olpc-os-builder
Version:	5.0.2
Release:	1%{?dist}
Summary:	A development tool to build and customize OLPC OS images

Group:		Development/System
License:	GPLv2+
URL:		http://wiki.laptop.org/go/OSBuilder
Source0:	http://dev.laptop.org/pub/source/olpc-os-builder/%{name}-%{version}.tar.bz2

BuildRequires:	zlib-devel libtomcrypt-devel
Requires:	python-imgcreate bitfrost zip unzip crcimg mtd-utils mtd-utils-ubi wget curl xz-lzma-compat hardlink bitfrost-sugar genisoimage tar

%description
OLPC OS images for XO laptops are based on Fedora. This tool allows you to
build these OS images as well as applying your own tweaks and customizations.


%prep
%setup -q


%build
make %{?_smp_mflags} CC="%{__cc} $RPM_OPT_FLAGS"


%install
make install DESTDIR=$RPM_BUILD_ROOT

# all documentation must be installed through the doc section
# (which has the side effect of wiping out any documentation that was installed
#  during this stage)
mv $RPM_BUILD_ROOT/usr/share/doc/* inst-docs


%files
%defattr(-,root,root,-)
%doc inst-docs/*
%{_sbindir}/olpc-os-builder
%{_libexecdir}/olpc-os-builder
%{_datadir}/olpc-os-builder


%changelog
* Wed Oct 17 2012 Daniel Drake <dsd@laptop.org> - 5.0.2-1
- Add offline mode, extend adobe_flash module

* Tue Sep 18 2012 Daniel Drake <dsd@laptop.ro> - 5.0.1-1
- Fix loop partition probing

* Fri Aug 31 2012 Daniel Drake <dsd@laptop.org> - 5.0.0-1
- new release for OLPC OS 12.1.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 01 2011 Daniel Drake <dsd@laptop.org> - 4.0.0-1
- new release for OLPC OS 11.3.0

* Fri Jul 22 2011 Daniel Drake <dsd@laptop.org> - 3.0.0-1
- new release for OLPC OS 11.2.0

* Wed Apr  6 2011 Peter Robinson <pbrobinson@gmail.com> 3.0.0-0.4.pre2
- build with $RPM_OPT_FLAGS - fixes # 673688

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-0.3.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Daniel Drake <dsd@laptop.org> 3.0.0-0.2.pre2
- Latest version

* Thu Nov 11 2010 Daniel Drake <dsd@laptop.org> 3.0.0-0.1.pre1
- Initial release

